> For the complete documentation index, see [llms.txt](https://docs.frends.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.frends.com/reference/frends-6.2.0/triggers.md).

# Triggers

- [Manual Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/manual-trigger.md): Enables manual execution for Processes.
- [File Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/file-trigger.md): Monitor file changes with your Processes.
- [Schedule Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/schedule-trigger.md): Running Processes repeatedly has never been easier.
- [Conditional Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/conditional-trigger.md): Look here for more complex criteria to start a Process.
- [HTTP Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/http-trigger.md): Simple handling of HTTP requests in Frends.
- [API Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/api-trigger.md): Connect your Processes to fullblown APIs.
- [AMQP Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/amqp-trigger.md): Running Processes in order using Message Queues.
- [Service Bus Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/service-bus-trigger.md): Listening for Azure Service Bus messages.
- [RabbitMQ Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/rabbitmq-trigger.md): Alternative to Service Bus and AMQP queues.
- [Azure Event Hub Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/azure-event-hub-trigger.md): Listen to messages from Azure Event Hub.
- [TCP Trigger](https://docs.frends.com/reference/frends-6.2.0/triggers/tcp-trigger.md): Listen for raw TCP connections coming to Frends.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.frends.com/reference/frends-6.2.0/triggers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
